Bug 482812 - RFE: yum --disablerepo='*' install '*' ... outputs all pkgs on machine
RFE: yum --disablerepo='*' install '*' ... outputs all pkgs on machine
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On: 480402
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 06:29 EST by Martin Poole
Modified: 2014-01-21 18:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when used with the "--disablerepo='*'" option, or when available repos had no packages in them, the "yum install '*'" command produced a long warning that listed every package already on the system as being installed and not available. This warning was nonsensical and misleading because it implied that every package already on the system was available in a repository that yum could access. The code that produced this warning has been removed from yum. Now when "yum install '*'" is used under circumstances where no packages are available in any repository, yum does not produce this warning, but simply reports "Nothing to do".
Story Points: ---
Clone Of: 480402
Environment:
Last Closed: 2009-09-02 03:34:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Poole 2009-01-28 06:29:45 EST
+++ This bug was initially created as a clone of Bug #480402 +++

Description of problem:

 This is kinda weird, if you do:

 yum --disablerepo='*' install '*' 

...then it warns about every pkg that is installed already being installed. This also happens if the only enabled repos. have zero packages in them. As soon as you have a repo. enabled with at least 1 pkg in it, install '*' does the expected thing of only warning about pkgs that match.

Version-Release number of selected component (if applicable):
3.2.*
Comment 5 Ruediger Landmann 2009-09-01 14:19:26 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, when used with the "--disablerepo='*'"  option, or when available repos had no packages in them, the  "yum install '*'" command produced a long warning that listed every package already on the system as being installed and not available. This warning was nonsensical and misleading because it implied that every package already on the system was available in a repository that yum could access. The code that produced this warning has been removed from yum. Now when "yum install '*'" is used under circumstances where no packages are available in any repository, yum does not produce this warning, but simply reports "Nothing to do".
Comment 6 errata-xmlrpc 2009-09-02 03:34:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1419.html

Note You need to log in before you can comment on or make changes to this bug.